Subject: bug#66243: 30.0.50; [PATCH] Nontext mouse cursor as default

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Sep 2023 19:18:29 +0300

> From: Manuel Giraud <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 29 Sep 2023 16:32:57 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Date: Wed, 27 Sep 2023 19:09:44 +0200
> >> From:  Manuel Giraud via "Bug reports for GNU Emacs,
> >>  the Swiss army knife of text editors" <[email-masked]>
> >> 
> >> This patch sets the mouse cursor to nontext wherever you enter the
> >> tool-bar or the tab-bar.
> >
> > Thanks.
> >
> > Which GUI environments/window-systems/toolkits are affected by this
> > change?
> 
> I have tested only on X with the following toolkits: "no", "lucid" and
> "gtk3".  This change affect tab-bar and tool-bar for both "no" and
> "lucid".  For "gtk3", only tab-bar is affected since the tool-bar is
> native GTK (ie. the mouse cursor is modified already).
> 
> I cannot test on windows or mac.  Do you want me to test others combo?

If this affects all the configurations, I wonder why we didn't do that
before.  Are there perhaps some caveats here?  Po Lu, do you have any
idea why we didn't behave like that before?